{% extends "base.html" %}

{% block title %}{{ alarme }}{% endblock %}

{% block breadcrumb %}
<li class="breadcrumb-item"><a href="{% url 'home' %}">Accueil</a></li>
<li class="breadcrumb-item"><a href="{% url 'alarmes' %}">Appareils</a></li>
<li class="breadcrumb-item active" aria-current="page">Détail d’appareil</li>
{% endblock %}

{% block content %}
    <h2>{{ alarme|default:"Nouvel appareil" }}</h2>

    {% if alarme %}
    <ul class="nav nav-tabs">
      <li class="nav-item">
        <a class="nav-link active" href="{% url 'alarme-edit' alarme.pk %}">Général</a>
      </li>
      <li class="nav-item">
        <a class="nav-link" href="{% url 'alarme-journal' alarme.pk %}">Journal</a>
      </li>
    </ul>
    {% endif %}

    {% if alarme and install %}
        <div class="alert alert-success mt-2 p-2 d-flex justify-content-between">
            <p class="mb-0 align-self-center">
                Installée {% if install.date_debut %}depuis le {{ install.date_debut|date:'d.m.Y' }}{% endif %} chez <a href="{% url 'client-edit' install.client.pk %}">{{ install.client }}</a>{% if install.abonnement %}, abo {{ install.abonnement }}{% endif %}
            </p>
            <button type="button" class="btn btn-secondary openmodal" title="Modifier l’installation"
                    data-modalurl="{% url 'install-edit' install.pk %}">Modifier</button>
        </div>
    {% elif alarme %}
        <div class="alert alert-secondary mt-2 p-2 d-flex justify-content-between">
            {% if alarme.date_archive %}
                <p class="mb-0 align-self-center">Cet appareil a été archivé le {{ alarme.date_archive|date:"d.m.Y" }}.</p>
            {% else %}
                <p class="mb-0 align-self-center">Aucun client actuellement attribué pour cet appareil.</p>
            {% endif %}
        </div>
    {% endif %}

    <p>{{ form.non_field_errors }}</p>
    <form method="post" action="{{ request.path }}" autocomplete="off">{% csrf_token %}
        
        {{ form.modele.label_tag }}
        <div class="input-group mb-2">
            {{ form.modele }} {{ form.modele.errors }}
            <button class="btn btn-secondary openmodal" type="button" data-modalurl="{% url 'modelealarme-new' %}">+</button>
        </div>
        
        <div class="row mb-2">
          <div class="col">
            <div class="form-group">
                {{ form.no_appareil.label_tag }} {{ form.no_appareil }} {{ form.no_appareil.errors }}
            </div>
          </div>
          <div class="col">
            <div class="form-group">
                {{ form.no_serie.label_tag }} {{ form.no_serie }} {{ form.no_serie.errors }}
            </div>
          </div>
        </div>

        <div class="form-group mb-2">
            {{ form.carte_sim.label_tag }} {{ form.carte_sim }} {{ form.carte_sim.errors }}
        </div>

        <div class="form-group mb-2">
            {{ form.centrale.label_tag }} {{ form.centrale }} {{ form.centrale.errors }}
        </div>

        <div class="row mb-2">
          <div class="col">
            <div class="form-group">
                {{ form.date_achat.label_tag }} {{ form.date_achat }} {{ form.date_achat.errors }}
            </div>
          </div>
          <div class="col">
            <div class="form-group">
                {{ form.prix_achat.label_tag }} {{ form.prix_achat }} {{ form.prix_achat.errors }} 
            </div>
          </div>
        </div>

        <div class="form-group mb-2">
            {{ form.fournisseur.label_tag }} {{ form.fournisseur }} {{ form.fournisseur.errors }}
        </div>

        {% if not install %}
        <div class="form-group mb-2">
            {{ form.chez_benevole.label_tag }} {{ form.chez_benevole }} {{ form.chez_benevole.errors }}
        </div>
        <div class="form-group mb-2">
            {{ form.en_rep_depuis.label_tag }} {{ form.en_rep_depuis }} {{ form.en_rep_depuis.errors }}
        </div>
        {% endif %}

        <div class="form-group mb-2">
            {{ form.date_revision.label_tag }} {{ form.date_revision }} {{ form.date_revision.errors }}
        </div>

        <div class="form-group mb-2">
            {{ form.remarques.label_tag }} {{ form.remarques }} {{ form.remarques.errors }}
        </div>

        <div class="d-flex justify-content-between">
            <button type="submit" class="btn btn-primary order-2">Enregistrer</button>
            {% if alarme and not alarme.date_archive and not install %}
                <button type="submit" class="btn btn-danger order-1" formaction="{% url 'alarme-archive' alarme.pk %}"
                        data-confirm="Souhaitez-vous vraiment archiver cet appareil ?">Archiver</button>
            {% else %}<div class="order-1"></div>{% endif %}
        </div>
        {% if next %}
            <input type="hidden" name="next" value="{{ next }}">
        {% endif %}
    </form>
{% endblock %}
